summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarri Porten <porten@kde.org>2002-12-15 13:02:44 +0000
committerHarri Porten <porten@kde.org>2002-12-15 13:02:44 +0000
commitdd1fcce2286844719bffd300a0267cfb2d1d4a36 (patch)
tree08fc692c8704ea510ceb3da239bef6a63c2587f1
parenta0e550bc608e96a574f3ea8ed4cf3635733c4a09 (diff)
check for libtoolize before attempting to use it
-rw-r--r--ChangeLog4
-rwxr-xr-xautogen.sh7
2 files changed, 11 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index a373a6c9..6209e083 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2002-12-15 Harri Porten <porten@kde.org>
+
+ * autogen.sh: check for libtoolize before attempting to use it
+
2002-12-15 Havoc Pennington <hp@pobox.com>
* dbus/dbus-threads.c: add thread stubs that a higher library
diff --git a/autogen.sh b/autogen.sh
index a3923bbc..0b374df9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -37,6 +37,13 @@ ACLOCAL=aclocal-1.6
DIE=1
}
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtoolize installed to compile $PROJECT."
+ echo "Install the libtool package from ftp.gnu.org or a mirror."
+ DIE=1
+}
+
if test "$DIE" -eq 1; then
exit 1
fi